Create a a new db_address usable for a company
Request Information
URI Parameters :
None.
Body Parameters :
db_address| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
The company owner of this address |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating address |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating address |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_type_id |
Foreign key to the db_address_type. Please use controller DbAddressType to find the correct it to use |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string | |
| archived |
You cannot delete an address. The only way is to archive it. |
boolean | |
| name |
Name of the address |
string | |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. Can be not used |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string | |
| mobile |
Cell phone number |
string | |
| fax |
Fax number |
string | |
|
Email address |
string |
Max length: 250 |
|
| url |
Url |
string | |
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "f4a912e3-ba94-4c76-bff1-416e64c77c56",
"company_id": "3543e845-affd-442e-990a-a82818591198",
"company_code": "sample string 3",
"db_address_type_id": "28f0ad73-dea7-44ff-86bc-7b8d084c2d5f",
"code": "sample string 5",
"archived": true,
"name": "sample string 7",
"street": "sample string 8",
"street_number": "sample string 9",
"zip": "sample string 10",
"city": "sample string 11",
"phone": "sample string 12",
"mobile": "sample string 13",
"fax": "sample string 14",
"email": "sample string 15",
"url": "sample string 16",
"db_country_id": "af199be1-2b8a-4f25-9f24-a479a34783f1",
"db_country_code": "sample string 18",
"street2": "sample string 19",
"modified_dateutc": "2026-07-10T23:35:07.9119462+00:00"
}
Response Information
Resource Description :
db_address| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
The company owner of this address |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating address |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating address |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_type_id |
Foreign key to the db_address_type. Please use controller DbAddressType to find the correct it to use |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string | |
| archived |
You cannot delete an address. The only way is to archive it. |
boolean | |
| name |
Name of the address |
string | |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. Can be not used |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string | |
| mobile |
Cell phone number |
string | |
| fax |
Fax number |
string | |
|
Email address |
string |
Max length: 250 |
|
| url |
Url |
string | |
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "411792a9-85cd-49c3-813b-021e9de2ad42",
"company_id": "59a36dfd-9d11-4693-97b5-fad80ff699fa",
"company_code": "sample string 3",
"db_address_type_id": "39992eae-9ebb-4b06-9a79-807dd746b340",
"code": "sample string 5",
"archived": true,
"name": "sample string 7",
"street": "sample string 8",
"street_number": "sample string 9",
"zip": "sample string 10",
"city": "sample string 11",
"phone": "sample string 12",
"mobile": "sample string 13",
"fax": "sample string 14",
"email": "sample string 15",
"url": "sample string 16",
"db_country_id": "8b372184-be27-458e-a01e-44578aa6ce62",
"db_country_code": "sample string 18",
"street2": "sample string 19",
"modified_dateutc": "2026-07-10T23:35:07.9119462+00:00"
}